<template>
  <div class="team">
    <v-container class="my-5">
      <v-layout row wrap>
        <v-flex xs12 sm6 md4 lg3 v-for="person in team" :key="person.name">
          <v-card flat class="text-xs-center ma-3">
            <v-responsive class="pt-4">
              <v-avatar size="100" class="grey lighten-2">
                <img :src="person.avatar">
              </v-avatar>
            </v-responsive>
            <v-card-text>
              <div class="subheading">{{ person.name }}</div>
              <div class="text-grey">{{ person.role }}</div>
            </v-card-text>
            <v-card-actions>
              <v-btn flat color="bg-grey">
                <v-icon small left icon="mdi-email-outline"></v-icon>
                <span class="">Message</span>
              </v-btn>
            </v-card-actions>
          </v-card>
        </v-flex>
      </v-layout>
    </v-container>
  </div>
</template>

<script setup lang="ts">
import { ref } from "vue";

let team_list: {}[] = [
{ name: 'Anna Anderson', role: 'Web developer', avatar: "https://randomuser.me/api/portraits/women/14.jpg" },
        { name: 'Berta Bertson', role: 'Graphic designer', avatar: "https://randomuser.me/api/portraits/women/4.jpg" },
        { name: 'Denvon Dunken', role: 'Web developer', avatar: "https://randomuser.me/api/portraits/men/66.jpg" },
        { name: 'Caesar Czar', role: 'Social media maverick', avatar: "https://randomuser.me/api/portraits/men/12.jpg" },
        { name: 'Zenzi Zubermaier', role: 'Sales guru', avatar: "https://randomuser.me/api/portraits/women/9.jpg" }
];

const team = ref(team_list);
</script>

<style scoped></style>
